# $Id: smeserver-tw-logonscript.spec,v 1.1 2009/10/16 23:17:44 slords Exp $
# Authority: chriscosta
# Name: Christian Costa

%define name smeserver-tw-logonscript
%define version 1.3
%define release 3
Summary: TechnologyWise Windows/Linux logon script for Samba
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: smeserver-tw-logonscript-%{version}.tar.gz
License: GNU GPL version 2
Group: Applications/Backup
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

%description
TechnologyWise Windows/Linux logon script for Samba

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Oct 8 2009 Christian Costa <christian@tw.co.nz>
Added localisation support
Added server-manager embedded custom group batch file editing
Fixed a bug with user custom scripts that were being executed more than once
* Thu Sep 3 2009 Christian Costa <christian@tw.co.nz>
New specs file, new version number
* Mon Aug 10 2009 Christian Costa <christian@tw.co.nz>
Branched out from the 61netlogonshare custom script and added a new db property for smb called LogonScript
* Wed Jul 8 2009 Christian Costa <christian@tw.co.nz>
Added .pam_mount.conf.xml generation for Linux clients using libpam-mount.
* Wed Jul 29 2008 Christian Costa <christian@tw.co.nz>
Added a feature that maps the drive if all users are allowed to read an I-bay.
Extended the drive letter range from F to Z.
* Wed Jul 9 2008 Christian Costa <christian@tw.co.nz>
Added the server-manager web interface to the package.

